Description

The jython scripting console allows to remove the prompt and previous lines, which is an weird behaviour and leaves the console on a
error-prone status.

| have prepared a patch that corrects this behaviour and some other problematic ones:

- Backspace no longer allows to remove the prompt or previous lines

- Allow using backspace to delete selection (it was only possible to do so using delete button till now)

- When a selection includes the prompt (or previous lines) and then del or backspace is pressed, only the text after the prompt is
removed. | think this is a more natural behaviour

- When the cursor is the history area (above the prompt) and some text is inputted or some key is pressed, move the cursor to the last
line (the editable area). Previously, nothing happened when a key was pressed

- Printing a unicode text variable no longer produces an exception

Associated revisions

Revision 778 - 09/15/2016 02:08 PM - Joaquin del Cerro Murciano

refs #4357, correccion en la consola de jython para que gestione adecuadamente el prompt. Patch gracias a Cesar Martinez.

History

#1 - 09/06/2016 05:04 PM - Cesar Martinez lzquierdo
- Has patch set to Yes

- File console.py added

- File jython-console.diff added

| attach the patch and also the full modified console.py file for reference.

#2 - 09/06/2016 08:58 PM - Alvaro Anguix
- Assignee set to Joaquin del Cerro Murciano
- Category set to Scripting

#3 - 09/15/2016 01:11 PM - Joaquin del Cerro Murciano
- Target version set to 2.3.0-2445 (rev. org.gvsig.desktop-2.0.152)
#4 - 09/15/2016 02:09 PM - Joaquin del Cerro Murciano
- Status changed from New to Fixed

#5 - 10/20/2016 05:22 PM - Alvaro Anguix
- Status changed from Fixed to Closed

Files

jython-console.diff 5.53 KB 09/06/2016 Cesar Martinez Izquierdo

console.py 14.4 KB 09/06/2016 Cesar Martinez Izquierdo
